Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QBitVal Class Reference

The QBitVal class is an internal class, used with QBitArray. More...

`#include <qbitarray.h>`

List of all member functions.

## Public Members

- QBitVal ( QBitArray * a, uint i )
- operator int ()
- QBitVal & operator= ( const QBitVal & v )
- QBitVal & operator= ( bool v )

## Detailed Description

The QBitVal class is an internal class, used with QBitArray.

The QBitVal is required by the indexing [] operator on bit arrays. It is not for use in any other context.

See also Collection Classes.

## Member Function Documentation

### QBitVal::QBitVal ( QBitArray * a, uint i )

Constructs a reference to element i in the QBitArray a. This is what QBitArray::operator[] constructs its return value with.

### QBitVal::operator int ()

Returns the value referenced by the QBitVal.

### QBitVal & QBitVal::operator= ( const QBitVal & v )

Sets the value referenced by the QBitVal to that referenced by QBitVal v.

### QBitVal & QBitVal::operator= ( bool v )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Sets the value referenced by the QBitVal to v.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.